Uploaded image for project: 'Apache Avro'
  1. Apache Avro
  2. AVRO-2626

[enums] avro-js does not seem to support 1.9.0 spec although 1.9.0 version was published

    XMLWordPrintableJSON

    Details

    • Type: Improvement
    • Status: Open
    • Priority: Major
    • Resolution: Unresolved
    • Affects Version/s: 1.9.0, 1.9.1
    • Fix Version/s: None
    • Component/s: javascript
    • Labels:
      None

      Description

      I tried to use the new default property for enums that was introduced in the spec with version 1.9.0.

      This seemed to work fine with the java client however the javascript avro-js client is throwing an error. Was this never implemented?

      Regards

      David

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                Unassigned
                Reporter:
                deichin David Eichin
              • Votes:
                0 Vote for this issue
                Watchers:
                1 Start watching this issue

                Dates

                • Created:
                  Updated: